\documentclass[12pt]{beamer}

% Presento style file
\usepackage{config/presento}

% custom command and packages
\input{config/custom-command}


\newcommand{\mc}{mobilité contrôlée\xspace}
\newcommand{\Mc}{Mobilité contrôlée\xspace}

% Information
\title{Opportunistic Network}
\subtitle{controlled mobility, mobile network}
\author{Tahiry Razafindralambo}
\institute{tahiry.github.io}
\date{\today}

\begin{document}

% Title page
\begin{frame}[plain]
\maketitle
\end{frame}

%%% TIKZ

\tikzset{
    invisible/.style={opacity=0},
    visible on/.style={alt={#1{}{invisible}}},
    alt/.code args={<#1>#2#3}{%
      \alt<#1>{\pgfkeysalso{#2}}{\pgfkeysalso{#3}} % \pgfkeysalso doesn't change the path
    },
}

%%% TIKZ
    \definecolor{lb}{RGB}{105,210,231}
    \definecolor{white}{RGB}{240,255,255}
    \definecolor{sable}{RGB}{224,228,204}
    \definecolor{orange}{RGB}{250,105,0}
    \definecolor{cf38630}{RGB}{243,134,48}

    \tikzstyle{graph}=[circle, draw, minimum width=20pt, line width=2pt]
    \tikzstyle{graphline}=[draw=black,line join=miter,line cap=butt,even odd rule,line width=0.800pt]
    \tikzstyle{graph_g}=[circle, draw=black!10, minimum width=12pt, line width=2pt]
    \tikzstyle{graphline_g}=[draw=black!1,line join=miter,line cap=butt,even odd rule,line width=0.500pt]
    \tikzstyle{proto}=[draw=lb, fill=white, line join=round,line cap=round,miter
                                    limit=6.00,line width=3pt,rounded corners=0.1000cm]
    \tikzstyle{protocol}=[rectangle, fill = white,rounded corners=0.1000cm, draw=lb, minimum width=55pt, minimum height=80pt, line width=3pt]
    \tikzstyle{pp}=[rectangle, fill = white,rounded corners=0.1000cm, draw=lb, minimum width=100pt, minimum height=20pt, line width=3pt]
    \tikzstyle{alg}=[rectangle, fill = white,rounded corners=0.1000cm, draw=lb, minimum width=100pt, minimum height=20pt, line width=3pt]
    \tikzstyle{protocol_g}=[rectangle, fill = white,rounded corners=0.1000cm, draw=black!10, minimum width=55pt, minimum height=80pt, line width=3pt]
    \tikzstyle{frame}=[draw=black,line join=bevel,line cap=round,miter limit=4.00,line width=0.800pt,rounded corners=0.5000cm]
    \tikzstyle{cir}=[circle, draw, minimum width=12pt, line width=2pt]
    \tikzstyle{squ}=[rectangle, draw, minimum width=12pt, minimum height=12pt, line width=2pt]
    \tikzstyle{tri}=[regular polygon, regular polygon sides=3, draw, minimum width=12pt, minimum height=12pt, line width=2pt]
    \tikzstyle{hex}=[regular polygon, regular polygon sides=5, draw, minimum width=12pt, minimum height=12pt, line width=2pt]
    \tikzstyle{sta}=[star,star points=5, draw, minimum width=12pt, minimum height=12pt, line width=2pt]
    \tikzstyle{graphred}=[draw=red,line join=miter,line cap=butt,even odd rule,line width=1.500pt]
    \tikzstyle{graphblue}=[draw=blue,line join=miter,line cap=butt,even odd rule,line width=1.500pt]
    \tikzstyle{graphgray}=[draw=gray!20,line join=miter,line cap=butt,even odd rule,line width=1.500pt]

%%% END TIKZ

\begin{frame}[t]
    \frametitle{We are interesed in wireless \\ multihop and mobile networks \\ }
    ~ \hfill
    \scalebox{.5}{
        \begin{tikzpicture}[y=0.80pt, x=0.8pt,yscale=-1, inner sep=0pt, outer sep=0pt]
            %\path[frame] (180,90) rectangle (650,390);
            \path[frame] (0,0) rectangle (470,300);
            \node[rectangle, minimum width=100pt, minimum height=100pt] (when)  at (230,150)  {\includegraphics[width=1.1\linewidth]{fig/d003_complet}};
        \end{tikzpicture}
    }
\end{frame}

\begin{frame}[c]%{{{ Biographie
    \begin{center}
    \begin{Large}
        Mobility is a characteristic \\  of an object \\
        to change in \\ time and space dimension \\
    \end{Large}
    \end{center}
\end{frame}%}}}

\begin{frame}[t]
    \frametitle{An object is a fleet of small devices \\ it is seen as an object}
    ~ \hfill
    \scalebox{.5}{
        \begin{tikzpicture}[y=0.80pt, x=0.8pt,yscale=-1, inner sep=0pt, outer sep=0pt]
            \path[frame] (0,0) rectangle (470,300);
            \node[rectangle] at (120,150)  {\includegraphics[width=.6\linewidth,height=.6\linewidth]{./fig/swarm_00}};
            \node[rectangle] at (350,150) {\includegraphics[width=.6\linewidth,height=.6\linewidth]{./fig/ant_01}};
        \end{tikzpicture}
    }
\end{frame}


\begin{frame}[t]
    \frametitle{From a network of mobile nodes \\ into a mobile network}
    ~ \hfill
    \scalebox{.5}{
        \begin{tikzpicture}[y=0.80pt, x=0.8pt,yscale=-1, inner sep=0pt, outer sep=0pt]
            \path[frame] (180,90) rectangle (650,390);


            \node[graph](n0) at (410+100,155+30) {\includegraphics[width=.05\linewidth]{fig/drone}};
            \node[graph](n1) at (465+100,195+30) {\includegraphics[width=.05\linewidth]{fig/drone}};
            \node[graph](n2) at (455+100,290+30) {\includegraphics[width=.05\linewidth]{fig/drone}};
            \node[graph](n3) at (380+100,305+30) {\includegraphics[width=.05\linewidth]{fig/drone}};
            \node[graph](n4) at (380+100,250+30) {\includegraphics[width=.05\linewidth]{fig/drone}};

            \path[graphline] (n0) edge (n1);
            \path[graphline] (n1) edge (n2);
            \path[graphline] (n1) edge (n4);
            \path[graphline] (n2) edge (n4);
            \path[graphline] (n2) edge (n3);
            \path[graphline] (n3) edge (n4);

            \node[graph](m0) at (410-120,155+30) {\includegraphics[width=.05\linewidth]{fig/sensor}};
            \node[graph](m1) at (465-120,195+30) {\includegraphics[width=.05\linewidth]{fig/sensor}};
            \node[graph](m2) at (455-120,290+30) {\includegraphics[width=.05\linewidth]{fig/sensor}};
            \node[graph](m3) at (380-120,305+30) {\includegraphics[width=.05\linewidth]{fig/sensor}};
            \node[graph](m4) at (380-120,250+30) {\includegraphics[width=.05\linewidth]{fig/sensor}};

            \path[graphline] (m0) edge (m1);
            \path[graphline] (m1) edge (m2);
            \path[graphline] (m1) edge (m4);
            \path[graphline] (m2) edge (m4);
            \path[graphline] (m2) edge (m3);
            \path[graphline] (m3) edge (m4);
            %\path[proto] (210+150,170) rectangle (285,270);
            %\path[proto] (220+150,180) rectangle (295,280);
            %\path[proto] (230+150,190) rectangle (305,290);

            %\node[protocol] (p1) at (245,220) {};
            %\node[protocol] (p2) at (255,230) {};
            \node[pp] (p3) at (415,120) {};
            \node[align=center] at (p3) {{\small \Mc}};
            \node[rectangle, fill = white,rounded corners=0.1000cm, draw=lb,
                   minimum width=200pt, minimum height=20pt, line width=3pt] (p4) at (415,370) {};
            \node[align=center] at (p4) {{\small Shape the network for the application}};

            %\draw[-latex] (250,190) -- (n4);
            %\draw[sable,  line width=8pt,<->,>=fast cap] (330,230) -- (370,230);
            \draw[sable,  line width=8pt,<->,>=fast cap] (395,230) -- (435,230);

            %\path  (235,215) node[above right] (text) {{\small Protocoles}};


            %\path[fill=orange] (590,220) circle (0.15cm);
            %\path[fill=orange] (570,240) circle (0.15cm);
            %\node[circle, draw=orange, fill= orange, minimum width=7pt, line width=1pt ](i0) at (570-160,240) {};
            %\node[circle, draw=orange, fill= orange, minimum width=7pt, line width=1pt ](i1) at (590-160,220) {};
            %\node[circle, draw=orange, minimum width=17pt, line width=3pt ](m0) at (i0) {};
            %\node[circle, draw=orange, minimum width=17pt, line width=3pt ](m1) at (i1) {};

            %\draw[orange,  line width=4pt,->]  (m0) -- (540-160,270) ;
            %\draw[orange,  line width=4pt,->]  (m1) -- (620-160,190) ;

            %\draw[sable,  line width=8pt,<->,>=fast cap] (565-300,320+20) -- (565-300,285+20);
            %\draw[sable,  line width=8pt,<->,>=fast cap] (565,320+20) -- (565,285+20);

            %\node[rectangle, minimum width=17pt, line width=3pt ] (o1) at (265,365) {Objectifs globaux};
            %\node (o2) at (435,365) {};
            %\node[rectangle, minimum width=17pt, line width=3pt, align=left] (o3) at (565-280,355) {Objectifs globaux, \\ collectifs};
            %\node[rectangle, minimum width=17pt, line width=3pt, align=left] (o3) at (565+10,355) {Objectifs locaux, \\ individuels};
        \end{tikzpicture}
    }
\end{frame}

\framecard[colorgreen]{{\color{white}\Huge{Mobility in the app}}}

\begin{frame}[t]
    \frametitle{Discovery, coverage, exploration \\ and data reporting}
    ~ \hfill
    \scalebox{.5}{
        \begin{tikzpicture}[y=0.80pt, x=0.8pt,yscale=-1, inner sep=0pt, outer sep=0pt]
            %\path[frame] (180,90) rectangle (650,390);
            \path[frame] (0,0) rectangle (470,300);
            \node[rectangle, minimum width=100pt, minimum height=100pt] (when)  at (230,150)  {\includegraphics[width=1.12\linewidth]{fig/problem_and_soa_03}};
        \end{tikzpicture}
    }
\end{frame}

\begin{frame}[t]
    \frametitle{Beyond the scope of classic literature \\ regarding mobile network}
    ~ \hfill
    \scalebox{.5}{
        \begin{tikzpicture}[y=0.80pt, x=0.8pt,yscale=-1, inner sep=0pt, outer sep=0pt]
            \path[frame] (0,0) rectangle (470,300);
            \node[align=center] at (70,70)  {{\small Network of mobile} \\ $\neq$\\ {\small Mobile network}};
            \node[align=center] at (230,70) {{\small Global properties} \\ $\neq$ \\ {\small Local interactions}};
            \node[align=center] at (390,70) {{\small Theoretical proofs} \\ $\neq$\\ {\small Implementation}};
            %\node[xxx] at (410,30) {Design de \\ protocoles de \\ communication};
            \node[rectangle] at (50,230)  {\includegraphics[width=.25\linewidth,height=.25\linewidth]{fig/scalable}};
            \node[rectangle] at (172,230) {\includegraphics[width=.25\linewidth,height=.25\linewidth]{fig/robuste}};
            \node[rectangle] at (294,230) {\includegraphics[width=.25\linewidth,height=.25\linewidth]{fig/distributed}};
            \node[rectangle] at (416,230) {\includegraphics[width=.25\linewidth,height=.25\linewidth]{fig/perf}};
        \end{tikzpicture}
    }
\end{frame}

\begin{frame}[c]%{{{ Biographie
    %\frametitle{Let us sketch an algorithm for th deployment \\ This is a brainstorming}
    \begin{large}
        We sketch an  algorithm keeping some contraints in mind \\
        \vspace{2em}
        This is a brainstorming... Share your ideas
    \end{large}
\end{frame}%}}}


\framecard[colorgreen]{{\color{white}\Huge{Mobility in the stack}}}

\begin{frame}[t]
    \frametitle{Substitution Networks are used \\ to support an existing network}
    \begin{figure}[!htb]
        \includegraphics[width=.23\linewidth]{./fig/substitution-01}\hfill
        \includegraphics[width=.23\linewidth]{./fig/substitution-02}\hfill
        \includegraphics[width=.23\linewidth]{./fig/substitution-03}\hfill
        \includegraphics[width=.23\linewidth]{./fig/substitution-04}
    \end{figure}
    \vfill
    \begin{center}
        It is not a standalone network, it uses router's mobility to help.
    \end{center}
\end{frame}


\begin{frame}[t]
    \frametitle{We design an algorithm \\ to increase the QoS}
    ~ \hfill
    \scalebox{.5}{
        \begin{tikzpicture}[y=0.80pt, x=0.8pt,yscale=-1, inner sep=0pt, outer sep=0pt]
            \path[frame] (0,0) rectangle (470,300);
            \node[align=center] at (230,70) {{\Large We define a scenario} \\ $~~$ \\ {\Large We find the movements}};
            \node[rectangle] at (80,210)  {\includegraphics[width=.40\linewidth,height=.43\linewidth]{./fig/vid_start}};
            \node[rectangle] at (235,210) {\includegraphics[width=.40\linewidth,height=.43\linewidth]{./fig/vid_middle}};
            \node[rectangle] at (390,210) {\includegraphics[width=.40\linewidth,height=.43\linewidth]{./fig/vid_end}};
        \end{tikzpicture}
    }
\end{frame}

\framecard[colorgreen]{{\color{white}\Huge{Conclusion}}}

\begin{frame}[c]
 \begin{fullpageitemize}
  \item \begin{center}\largetext{Why}\end{center}
  \item \begin{center}\largetext{When}\end{center}
  \item \begin{center}\largetext{Where}\end{center}
  \item \begin{center}\largetext{How}\end{center}
 \end{fullpageitemize}
\end{frame}

\end{document}
